Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0021634
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2012-09-12 20:182012-09-26 17:19
ReportershuehnerView Statuspublic 
Assigned ToAugustoMauch 
PrioritynormalResolutionfixedFixed in Version3.0MP16
StatusclosedFix in branchFixed in SCM revision38acdd74058a
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0021634: obuiapp_note.ad_table_id is missing onDeleteCascade

DescriptionAfter adding a note entry to any record of some specific ad_table. It it not possible anymore to delete that table.

Example case.
Install module having any new table. Add a note to a record in that table.
Uninstall the module having the table.
Rebuild. -> fails
As fk from obuiapp_note.ad_table_id does not have onDelete cascade notes related to the deleted table do not get deleted as well.

Imo they should same as the system does of course delete all the content of the table itself.
Steps To ReproduceSee description.
Proposed SolutionAdd onDelete="cascade" to the obuiapp_note.ad_table_id foreign-key
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00216723.0MP16 closedAugustoMauch API change: Added delete on cascade constraint 

-  Notes
(0052130)
hgbot (developer)
2012-09-14 12:31

Repository: erp/devel/pi
Changeset: 38acdd74058a16e99608f6e302e7b3fb140d2705
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Fri Sep 14 12:13:37 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/38acdd74058a16e99608f6e302e7b3fb140d2705 [^]

Fixes Issue 21634 : Added Cascade delete to obuiapp_note.ad_table_id

Added onDelete Cascade to ad_table_id field in obuiapp_note table.

---
M modules/org.openbravo.client.application/src-db/database/model/tables/OBUIAPP_NOTE.xml
---
(0052350)
AugustoMauch (developer)
2012-09-24 16:52

Code reviewed and verified in pi@4c4431d17dbd
(0052760)
hudsonbot (developer)
2012-09-26 17:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b780e90c6452 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-09-12 20:18 shuehner New Issue
2012-09-12 20:18 shuehner Assigned To => AugustoMauch
2012-09-12 20:18 shuehner Modules => Core
2012-09-14 12:31 hgbot Checkin
2012-09-14 12:31 hgbot Note Added: 0052130
2012-09-14 12:31 hgbot Status new => resolved
2012-09-14 12:31 hgbot Resolution open => fixed
2012-09-14 12:31 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/38acdd74058a16e99608f6e302e7b3fb140d2705 [^]
2012-09-17 14:20 AugustoMauch Relationship added related to 0021672
2012-09-24 16:52 AugustoMauch Closed by => AugustoMauch
2012-09-24 16:52 AugustoMauch Note Added: 0052350
2012-09-24 16:52 AugustoMauch Status resolved => closed
2012-09-24 16:52 AugustoMauch Fixed in Version => 3.0MP16
2012-09-26 17:19 hudsonbot Checkin
2012-09-26 17:19 hudsonbot Note Added: 0052760


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker